Debian Bug report logs - #379855
RFP: miboot -- Linux bootloader for OldWorld PowerMac computers

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Aurélien GÉRÔME <ag@roxor.cx>

Date: Tue, 25 Jul 2006 21:48:15 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, debootloaders-miboot@lists.alioth.debian.org:
Bug#379855; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aurélien GÉRÔME <ag@roxor.cx>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, debootloaders-miboot@lists.alioth.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurélien GÉRÔME <ag@roxor.cx>
To: submit@bugs.debian.org
Subject: ITP: miboot -- Linux bootloader for OldWorld PowerMac computers
Date: Tue, 25 Jul 2006 23:34:34 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: debootloaders-miboot@lists.alioth.debian.org

* Package name    : miboot
  Version         : 2.0
  Upstream Author : Benjamin Herrenschmidt <benh@kernel.crashing.org>
* URL             : http://svn.debian.org/wsvn/debootloaders/trunk/miboot/
  Licence         : GPLv2
  Programming Lang: C / m68k Assembly
  Description     : Linux bootloader for OldWorld PowerMac computers

miBoot is not suitable for Debian in its upstream form, because it
requires prioprietary software (Metrowerks Codewarrior 4.0 Pro on
legacy MacOS) to build. Our goal is to provide a package buildable
by the GNU toolchain (a m68k toolchain on a powerpc environment). We
assembled a team for that.

miBoot is not maintained upstream anymore, so we will takeover the
maintainance. Our goal requires heavy modifications of upstream source
code, hence the version bumping compared to the former upstream 1.0d4
located at <http://penguinppc.org/historical/benh/>.

Cheers,
-- 
 .''`.   Aurélien GÉRÔME
: :'  :  
`. `'`   Free Software Developer
  `-     Unix Sys & Net Admin
[signature.asc (application/pgp-signature, inline)]

Owner changed from debootloaders-miboot@lists.alioth.debian.org to Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>. Request was from Aurélien GÉRÔME <ag@roxor.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aurélien GÉRÔME <ag@roxor.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 379855-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 379855-done@bugs.debian.org
Subject: WNPP bug closing
Date: Fri, 24 Aug 2007 11:59:51 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 379855
 stop

Further comments on the work done in the bug sent to
379855@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Aurélien GÉRÔME <ag@roxor.cx> to control@bugs.debian.org. (Fri, 24 Aug 2007 21:00:02 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aurélien GÉRÔME <ag@roxor.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 379855-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 379855-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sun, 24 Aug 2008 11:59:35 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 379855
 stop

Further comments on the work done in the bug sent to
379855@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from Aurélien GÉRÔME <ag@debian.org> to control@bugs.debian.org. (Sun, 24 Aug 2008 18:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>:
Bug#379855; Package wnpp. (Sat, 25 Apr 2009 03:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogerio Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>. (Sat, 25 Apr 2009 03:00:07 GMT) Full text and rfc822 format available.

Message #26 received at 379855@bugs.debian.org (full text, mbox):

From: Rogerio Brito <rbrito@ime.usp.br>
To: 379855@bugs.debian.org
Subject: Any updates on this bug?
Date: Fri, 24 Apr 2009 23:56:11 -0300
Hi there.

Is there any progress on this? Any updates?


Thanks for any information, Rogério Brito.

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>:
Bug#379855; Package wnpp. (Sat, 25 Apr 2009 09:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>. (Sat, 25 Apr 2009 09:51:09 GMT) Full text and rfc822 format available.

Message #31 received at 379855@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: Rogerio Brito <rbrito@ime.usp.br>, 379855@bugs.debian.org
Subject: Re: [Debootloaders-miboot] Bug#379855: Any updates on this bug?
Date: Sat, 25 Apr 2009 11:28:53 +0200
[Message part 1 (text/plain, inline)]
Hi Rogerio,

On Samstag, 25. April 2009, Rogerio Brito wrote:
> Is there any progress on this? Any updates?

no, no updates. Just as in 2006 miboot still doesnt build without a propietary 
toolchain, so it cannot go into main. It could go into non-free, but
according to <20090420115012.GA25442@celtic.nixsys.be> posted this monday on 
debian-boot, recent kernels dont boot anymore on oldworld hardware....


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>:
Bug#379855; Package wnpp. (Sat, 25 Apr 2009 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>. (Sat, 25 Apr 2009 16:15:05 GMT) Full text and rfc822 format available.

Message #36 received at 379855@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Holger Levsen <debian@layer-acht.org>
Cc: 379855@bugs.debian.org
Subject: Re: [Debootloaders-miboot] Bug#379855: Any updates on this bug?
Date: Sat, 25 Apr 2009 13:06:05 -0300
Hi, Holger.

On Apr 25 2009, Holger Levsen wrote:
> On Samstag, 25. April 2009, Rogerio Brito wrote:
> > Is there any progress on this? Any updates?
> 
> no, no updates. Just as in 2006 miboot still doesnt build without a
> propietary toolchain, so it cannot go into main. It could go into
> non-free, but

Hummm, how sad this is. :-(

> according to <20090420115012.GA25442@celtic.nixsys.be> posted this
> monday on debian-boot, recent kernels dont boot anymore on oldworld
> hardware....

Hummm, which "recent kernels" are those? I can try to see if I get
upstream to support them back, debugging it piece-by-piece thing, as I
still have a PMac 9500.

I would love to have it working again.


Thanks, Rogério Brito.

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>:
Bug#379855; Package wnpp. (Tue, 25 May 2010 17:21:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>. (Tue, 25 May 2010 17:21:58 GMT) Full text and rfc822 format available.

Message #41 received at 379855@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 379855@bugs.debian.org
Cc: control@bugs.debian.org
Subject: miboot: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:07 +0000
retitle 379855 RFP: miboot -- Linux bootloader for OldWorld PowerMac computers
noowner 379855
thanks

Hi,

This is an automatic email to change the status of miboot back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting miboot, please send a mail to
<control@bugs.debian.org> with:

 retitle 379855 ITP: miboot -- Linux bootloader for OldWorld PowerMac computers
 owner 379855 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <379855@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: miboot -- Linux bootloader for OldWorld PowerMac computers' from 'ITP: miboot -- Linux bootloader for OldWorld PowerMac computers' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:26:40 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:26:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:22:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.